geode-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From prhomb...@apache.org
Subject [geode] branch develop updated: GEODE-6611: Correct publication issues in all-bom. (#3483)
Date Thu, 18 Apr 2019 19:23:18 GMT
This is an automated email from the ASF dual-hosted git repository.

prhomberg pushed a commit to branch develop
in repository https://gitbox.apache.org/repos/asf/geode.git


The following commit(s) were added to refs/heads/develop by this push:
     new f3428c6  GEODE-6611: Correct publication issues in all-bom. (#3483)
f3428c6 is described below

commit f3428c6e3365323321637961c0f3036ede3b83be
Author: Patrick Rhomberg <prhomberg@pivotal.io>
AuthorDate: Thu Apr 18 12:23:01 2019 -0700

    GEODE-6611: Correct publication issues in all-bom. (#3483)
    
    * Add repository specification from publish.gradle to bom publishing
    block.  This configuration should be extracted in a future commit to
    avoid duplication of code.  Without this block, the bom publish task
    appears always UP-TO-DATE.
    
    * Add signing, also previously in publish.gradle.
    
    * Extra work with scope removed.  As a bom without scope will default to
    'compile' scope, and as explicit is better than implicit, the extra work
    was superfluous.
---
 boms/geode-all-bom/build.gradle                    |  29 ++++-
 .../src/test/resources/expected-pom.xml            | 144 +++++++++++++++++++++
 2 files changed, 166 insertions(+), 7 deletions(-)

diff --git a/boms/geode-all-bom/build.gradle b/boms/geode-all-bom/build.gradle
index 52d22da..e20dbf5 100644
--- a/boms/geode-all-bom/build.gradle
+++ b/boms/geode-all-bom/build.gradle
@@ -19,6 +19,7 @@ plugins {
   id 'java-platform'
   id 'maven-publish'
   id 'geode-dependency-constraints'
+  id 'signing'
 }
 
 
@@ -62,13 +63,6 @@ publishing {
           }
         }
         withXml {
-          // Dependency constraints publish the scope of those constraints.
-          // We remove these from our published bom, as they should apply at all scopes.
-          asNode().dependencyManagement.dependencies.dependency.each {
-            dep -> dep.remove(dep['scope'])
-          }
-        }
-        withXml {
           // Published Geode artifacts are constrained to match the version of this BOM.
           // We exclude any child of the :boms subproject
           def thisNode = asNode()
@@ -80,6 +74,7 @@ publishing {
                geodeDependency*.appendNode('groupId')*.setValue(p.group)
                geodeDependency*.appendNode('artifactId')*.setValue(p.name)
                geodeDependency*.appendNode('version')*.setValue(p.version.toString())
+               geodeDependency*.appendNode('scope')*.setValue('compile')
             }
           }
           thisNode
@@ -94,6 +89,26 @@ publishing {
       }
     }
   }
+  repositories {
+    maven {
+      // Use specified mavenRepository if provided, else use release or snapshot defaults.
+      url = project.findProperty("mavenRepository") ?:
+        project.isReleaseVersion ? project.mavenReleaseUrl : project.mavenSnapshotUrl
+      if (url.toString().startsWith("http") || url.toString().startsWith("sftp")) {
+        // Username / password credentials are only supported for http, https, and sftp repos.
+        // See the Gradle documentation on Repository Types for more information.
+        credentials {
+          username project.findProperty("mavenUsername")
+          password project.findProperty("mavenPassword")
+        }
+      }
+    }
+  }
+}
+
+signing {
+  required({project.isReleaseVersion && project.hasProperty('signing.keyId') &&
project.hasProperty('signing.secretKeyRingFile')})
+  sign publishing.publications.maven
 }
 
 apply from: "${rootDir}/${scriptDir}/check-pom.gradle"
diff --git a/boms/geode-all-bom/src/test/resources/expected-pom.xml b/boms/geode-all-bom/src/test/resources/expected-pom.xml
index 35efaec..86667ea 100644
--- a/boms/geode-all-bom/src/test/resources/expected-pom.xml
+++ b/boms/geode-all-bom/src/test/resources/expected-pom.xml
@@ -41,721 +41,865 @@
         <groupId>com.sun.xml.bind</groupId>
         <artifactId>jaxb-impl</artifactId>
         <version>2.3.1</version>
+        <scope>compile</scope>
       </dependency>
       <dependency>
         <groupId>javax.xml.bind</groupId>
         <artifactId>jaxb-api</artifactId>
         <version>2.3.1</version>
+        <scope>compile</scope>
       </dependency>
       <dependency>
         <groupId>antlr</groupId>
         <artifactId>antlr</artifactId>
         <version>2.7.7</version>
+        <scope>compile</scope>
       </dependency>
       <dependency>
         <groupId>cglib</groupId>
         <artifactId>cglib</artifactId>
         <version>3.2.9</version>
+        <scope>compile</scope>
       </dependency>
       <dependency>
         <groupId>com.carrotsearch.randomizedtesting</groupId>
         <artifactId>randomizedtesting-runner</artifactId>
         <version>2.5.0</version>
+        <scope>compile</scope>
       </dependency>
       <dependency>
         <groupId>com.fasterxml.jackson.module</groupId>
         <artifactId>jackson-module-scala_2.10</artifactId>
         <version>2.9.8</version>
+        <scope>compile</scope>
       </dependency>
       <dependency>
         <groupId>com.github.davidmoten</groupId>
         <artifactId>geo</artifactId>
         <version>0.7.1</version>
+        <scope>compile</scope>
       </dependency>
       <dependency>
         <groupId>com.github.stefanbirkner</groupId>
         <artifactId>system-rules</artifactId>
         <version>1.19.0</version>
+        <scope>compile</scope>
       </dependency>
       <dependency>
         <groupId>com.github.stephenc.findbugs</groupId>
         <artifactId>findbugs-annotations</artifactId>
         <version>1.3.9-1</version>
+        <scope>compile</scope>
       </dependency>
       <dependency>
         <groupId>com.google.guava</groupId>
         <artifactId>guava</artifactId>
         <version>27.0-jre</version>
+        <scope>compile</scope>
       </dependency>
       <dependency>
         <groupId>com.google.protobuf</groupId>
         <artifactId>protobuf-gradle-plugin</artifactId>
         <version>0.8.6</version>
+        <scope>compile</scope>
       </dependency>
       <dependency>
         <groupId>com.google.protobuf</groupId>
         <artifactId>protobuf-java</artifactId>
         <version>3.6.1</version>
+        <scope>compile</scope>
       </dependency>
       <dependency>
         <groupId>com.healthmarketscience.rmiio</groupId>
         <artifactId>rmiio</artifactId>
         <version>2.1.2</version>
+        <scope>compile</scope>
       </dependency>
       <dependency>
         <groupId>com.mockrunner</groupId>
         <artifactId>mockrunner-servlet</artifactId>
         <version>1.1.2</version>
+        <scope>compile</scope>
       </dependency>
       <dependency>
         <groupId>com.sun.activation</groupId>
         <artifactId>javax.activation</artifactId>
         <version>1.2.0</version>
+        <scope>compile</scope>
       </dependency>
       <dependency>
         <groupId>com.sun.istack</groupId>
         <artifactId>istack-commons-runtime</artifactId>
         <version>2.2</version>
+        <scope>compile</scope>
       </dependency>
       <dependency>
         <groupId>com.zaxxer</groupId>
         <artifactId>HikariCP</artifactId>
         <version>3.2.0</version>
+        <scope>compile</scope>
       </dependency>
       <dependency>
         <groupId>commons-beanutils</groupId>
         <artifactId>commons-beanutils</artifactId>
         <version>1.9.3</version>
+        <scope>compile</scope>
       </dependency>
       <dependency>
         <groupId>commons-collections</groupId>
         <artifactId>commons-collections</artifactId>
         <version>3.2.2</version>
+        <scope>compile</scope>
       </dependency>
       <dependency>
         <groupId>commons-configuration</groupId>
         <artifactId>commons-configuration</artifactId>
         <version>1.10</version>
+        <scope>compile</scope>
       </dependency>
       <dependency>
         <groupId>commons-digester</groupId>
         <artifactId>commons-digester</artifactId>
         <version>2.1</version>
+        <scope>compile</scope>
       </dependency>
       <dependency>
         <groupId>commons-fileupload</groupId>
         <artifactId>commons-fileupload</artifactId>
         <version>1.3.3</version>
+        <scope>compile</scope>
       </dependency>
       <dependency>
         <groupId>commons-io</groupId>
         <artifactId>commons-io</artifactId>
         <version>2.6</version>
+        <scope>compile</scope>
       </dependency>
       <dependency>
         <groupId>commons-logging</groupId>
         <artifactId>commons-logging</artifactId>
         <version>1.2</version>
+        <scope>compile</scope>
       </dependency>
       <dependency>
         <groupId>commons-modeler</groupId>
         <artifactId>commons-modeler</artifactId>
         <version>2.0.1</version>
+        <scope>compile</scope>
       </dependency>
       <dependency>
         <groupId>commons-validator</groupId>
         <artifactId>commons-validator</artifactId>
         <version>1.6</version>
+        <scope>compile</scope>
       </dependency>
       <dependency>
         <groupId>io.github.classgraph</groupId>
         <artifactId>classgraph</artifactId>
         <version>4.0.6</version>
+        <scope>compile</scope>
       </dependency>
       <dependency>
         <groupId>io.micrometer</groupId>
         <artifactId>micrometer-core</artifactId>
         <version>1.1.3</version>
+        <scope>compile</scope>
       </dependency>
       <dependency>
         <groupId>io.netty</groupId>
         <artifactId>netty-all</artifactId>
         <version>4.1.31.Final</version>
+        <scope>compile</scope>
       </dependency>
       <dependency>
         <groupId>it.unimi.dsi</groupId>
         <artifactId>fastutil</artifactId>
         <version>8.2.2</version>
+        <scope>compile</scope>
       </dependency>
       <dependency>
         <groupId>javax.annotation</groupId>
         <artifactId>javax.annotation-api</artifactId>
         <version>1.3.2</version>
+        <scope>compile</scope>
       </dependency>
       <dependency>
         <groupId>javax.annotation</groupId>
         <artifactId>jsr250-api</artifactId>
         <version>1.0</version>
+        <scope>compile</scope>
       </dependency>
       <dependency>
         <groupId>javax.ejb</groupId>
         <artifactId>ejb-api</artifactId>
         <version>3.0</version>
+        <scope>compile</scope>
       </dependency>
       <dependency>
         <groupId>javax.mail</groupId>
         <artifactId>javax.mail-api</artifactId>
         <version>1.6.2</version>
+        <scope>compile</scope>
       </dependency>
       <dependency>
         <groupId>javax.resource</groupId>
         <artifactId>javax.resource-api</artifactId>
         <version>1.7.1</version>
+        <scope>compile</scope>
       </dependency>
       <dependency>
         <groupId>javax.servlet</groupId>
         <artifactId>javax.servlet-api</artifactId>
         <version>3.1.0</version>
+        <scope>compile</scope>
       </dependency>
       <dependency>
         <groupId>junit</groupId>
         <artifactId>junit</artifactId>
         <version>4.12</version>
+        <scope>compile</scope>
       </dependency>
       <dependency>
         <groupId>mx4j</groupId>
         <artifactId>mx4j-tools</artifactId>
         <version>3.0.1</version>
+        <scope>compile</scope>
       </dependency>
       <dependency>
         <groupId>mysql</groupId>
         <artifactId>mysql-connector-java</artifactId>
         <version>5.1.46</version>
+        <scope>compile</scope>
       </dependency>
       <dependency>
         <groupId>net.java.dev.jna</groupId>
         <artifactId>jna</artifactId>
         <version>4.1.0</version>
+        <scope>compile</scope>
       </dependency>
       <dependency>
         <groupId>net.openhft</groupId>
         <artifactId>compiler</artifactId>
         <version>2.3.1</version>
+        <scope>compile</scope>
       </dependency>
       <dependency>
         <groupId>net.sf.jopt-simple</groupId>
         <artifactId>jopt-simple</artifactId>
         <version>5.0.4</version>
+        <scope>compile</scope>
       </dependency>
       <dependency>
         <groupId>net.spy</groupId>
         <artifactId>spymemcached</artifactId>
         <version>2.12.2</version>
+        <scope>compile</scope>
       </dependency>
       <dependency>
         <groupId>org.apache.bcel</groupId>
         <artifactId>bcel</artifactId>
         <version>6.2</version>
+        <scope>compile</scope>
       </dependency>
       <dependency>
         <groupId>org.apache.commons</groupId>
         <artifactId>commons-lang3</artifactId>
         <version>3.8.1</version>
+        <scope>compile</scope>
       </dependency>
       <dependency>
         <groupId>org.apache.derby</groupId>
         <artifactId>derby</artifactId>
         <version>10.14.2.0</version>
+        <scope>compile</scope>
       </dependency>
       <dependency>
         <groupId>org.apache.httpcomponents</groupId>
         <artifactId>httpclient</artifactId>
         <version>4.5.6</version>
+        <scope>compile</scope>
       </dependency>
       <dependency>
         <groupId>org.apache.httpcomponents</groupId>
         <artifactId>httpcore</artifactId>
         <version>4.4.10</version>
+        <scope>compile</scope>
       </dependency>
       <dependency>
         <groupId>org.apache.shiro</groupId>
         <artifactId>shiro-core</artifactId>
         <version>1.4.0</version>
+        <scope>compile</scope>
       </dependency>
       <dependency>
         <groupId>org.assertj</groupId>
         <artifactId>assertj-core</artifactId>
         <version>3.11.1</version>
+        <scope>compile</scope>
       </dependency>
       <dependency>
         <groupId>org.awaitility</groupId>
         <artifactId>awaitility</artifactId>
         <version>3.1.2</version>
+        <scope>compile</scope>
       </dependency>
       <dependency>
         <groupId>org.bouncycastle</groupId>
         <artifactId>bcpkix-jdk15on</artifactId>
         <version>1.60</version>
+        <scope>compile</scope>
       </dependency>
       <dependency>
         <groupId>org.codehaus.cargo</groupId>
         <artifactId>cargo-core-uberjar</artifactId>
         <version>1.6.10</version>
+        <scope>compile</scope>
       </dependency>
       <dependency>
         <groupId>org.eclipse.jetty</groupId>
         <artifactId>jetty-webapp</artifactId>
         <version>9.4.12.v20180830</version>
+        <scope>compile</scope>
       </dependency>
       <dependency>
         <groupId>org.eclipse.jetty</groupId>
         <artifactId>jetty-server</artifactId>
         <version>9.4.12.v20180830</version>
+        <scope>compile</scope>
       </dependency>
       <dependency>
         <groupId>org.eclipse.persistence</groupId>
         <artifactId>javax.persistence</artifactId>
         <version>2.2.1</version>
+        <scope>compile</scope>
       </dependency>
       <dependency>
         <groupId>org.fusesource.jansi</groupId>
         <artifactId>jansi</artifactId>
         <version>1.17.1</version>
+        <scope>compile</scope>
       </dependency>
       <dependency>
         <groupId>org.httpunit</groupId>
         <artifactId>httpunit</artifactId>
         <version>1.7.3</version>
+        <scope>compile</scope>
       </dependency>
       <dependency>
         <groupId>org.iq80.snappy</groupId>
         <artifactId>snappy</artifactId>
         <version>0.4</version>
+        <scope>compile</scope>
       </dependency>
       <dependency>
         <groupId>org.jgroups</groupId>
         <artifactId>jgroups</artifactId>
         <version>3.6.14.Final</version>
+        <scope>compile</scope>
       </dependency>
       <dependency>
         <groupId>org.mockito</groupId>
         <artifactId>mockito-core</artifactId>
         <version>2.23.0</version>
+        <scope>compile</scope>
       </dependency>
       <dependency>
         <groupId>org.mortbay.jetty</groupId>
         <artifactId>servlet-api</artifactId>
         <version>3.0.20100224</version>
+        <scope>compile</scope>
       </dependency>
       <dependency>
         <groupId>org.postgresql</groupId>
         <artifactId>postgresql</artifactId>
         <version>42.2.2</version>
+        <scope>compile</scope>
       </dependency>
       <dependency>
         <groupId>org.skyscreamer</groupId>
         <artifactId>jsonassert</artifactId>
         <version>1.5.0</version>
+        <scope>compile</scope>
       </dependency>
       <dependency>
         <groupId>org.slf4j</groupId>
         <artifactId>slf4j-api</artifactId>
         <version>1.7.25</version>
+        <scope>compile</scope>
       </dependency>
       <dependency>
         <groupId>io.swagger</groupId>
         <artifactId>swagger-annotations</artifactId>
         <version>1.5.20</version>
+        <scope>compile</scope>
       </dependency>
       <dependency>
         <groupId>org.springframework.hateoas</groupId>
         <artifactId>spring-hateoas</artifactId>
         <version>0.25.0.RELEASE</version>
+        <scope>compile</scope>
       </dependency>
       <dependency>
         <groupId>org.springframework.ldap</groupId>
         <artifactId>spring-ldap-core</artifactId>
         <version>2.3.2.RELEASE</version>
+        <scope>compile</scope>
       </dependency>
       <dependency>
         <groupId>org.springframework.shell</groupId>
         <artifactId>spring-shell</artifactId>
         <version>1.2.0.RELEASE</version>
+        <scope>compile</scope>
       </dependency>
       <dependency>
         <groupId>pl.pragmatists</groupId>
         <artifactId>JUnitParams</artifactId>
         <version>1.1.0</version>
+        <scope>compile</scope>
       </dependency>
       <dependency>
         <groupId>redis.clients</groupId>
         <artifactId>jedis</artifactId>
         <version>2.9.0</version>
+        <scope>compile</scope>
       </dependency>
       <dependency>
         <groupId>xerces</groupId>
         <artifactId>xercesImpl</artifactId>
         <version>2.12.0</version>
+        <scope>compile</scope>
       </dependency>
       <dependency>
         <groupId>com.fasterxml.jackson.core</groupId>
         <artifactId>jackson-annotations</artifactId>
         <version>2.9.8</version>
+        <scope>compile</scope>
       </dependency>
       <dependency>
         <groupId>com.fasterxml.jackson.core</groupId>
         <artifactId>jackson-core</artifactId>
         <version>2.9.8</version>
+        <scope>compile</scope>
       </dependency>
       <dependency>
         <groupId>com.fasterxml.jackson.core</groupId>
         <artifactId>jackson-databind</artifactId>
         <version>2.9.8</version>
+        <scope>compile</scope>
       </dependency>
       <dependency>
         <groupId>com.jayway.jsonpath</groupId>
         <artifactId>json-path-assert</artifactId>
         <version>2.4.0</version>
+        <scope>compile</scope>
       </dependency>
       <dependency>
         <groupId>com.jayway.jsonpath</groupId>
         <artifactId>json-path</artifactId>
         <version>2.4.0</version>
+        <scope>compile</scope>
       </dependency>
       <dependency>
         <groupId>com.palantir.docker.compose</groupId>
         <artifactId>docker-compose-rule-core</artifactId>
         <version>0.31.1</version>
+        <scope>compile</scope>
       </dependency>
       <dependency>
         <groupId>com.palantir.docker.compose</groupId>
         <artifactId>docker-compose-rule-junit4</artifactId>
         <version>0.31.1</version>
+        <scope>compile</scope>
       </dependency>
       <dependency>
         <groupId>com.pholser</groupId>
         <artifactId>junit-quickcheck-core</artifactId>
         <version>0.8.1</version>
+        <scope>compile</scope>
       </dependency>
       <dependency>
         <groupId>com.pholser</groupId>
         <artifactId>junit-quickcheck-generators</artifactId>
         <version>0.8.1</version>
+        <scope>compile</scope>
       </dependency>
       <dependency>
         <groupId>io.springfox</groupId>
         <artifactId>springfox-swagger-ui</artifactId>
         <version>2.9.2</version>
+        <scope>compile</scope>
       </dependency>
       <dependency>
         <groupId>io.springfox</groupId>
         <artifactId>springfox-swagger2</artifactId>
         <version>2.9.2</version>
+        <scope>compile</scope>
       </dependency>
       <dependency>
         <groupId>mx4j</groupId>
         <artifactId>mx4j-remote</artifactId>
         <version>3.0.2</version>
+        <scope>compile</scope>
       </dependency>
       <dependency>
         <groupId>mx4j</groupId>
         <artifactId>mx4j</artifactId>
         <version>3.0.2</version>
+        <scope>compile</scope>
       </dependency>
       <dependency>
         <groupId>org.apache.logging.log4j</groupId>
         <artifactId>log4j-api</artifactId>
         <version>2.11.1</version>
+        <scope>compile</scope>
       </dependency>
       <dependency>
         <groupId>org.apache.logging.log4j</groupId>
         <artifactId>log4j-core</artifactId>
         <version>2.11.1</version>
+        <scope>compile</scope>
       </dependency>
       <dependency>
         <groupId>org.apache.logging.log4j</groupId>
         <artifactId>log4j-jcl</artifactId>
         <version>2.11.1</version>
+        <scope>compile</scope>
       </dependency>
       <dependency>
         <groupId>org.apache.logging.log4j</groupId>
         <artifactId>log4j-jul</artifactId>
         <version>2.11.1</version>
+        <scope>compile</scope>
       </dependency>
       <dependency>
         <groupId>org.apache.logging.log4j</groupId>
         <artifactId>log4j-slf4j-impl</artifactId>
         <version>2.11.1</version>
+        <scope>compile</scope>
       </dependency>
       <dependency>
         <groupId>org.apache.lucene</groupId>
         <artifactId>lucene-analyzers-common</artifactId>
         <version>6.6.2</version>
+        <scope>compile</scope>
       </dependency>
       <dependency>
         <groupId>org.apache.lucene</groupId>
         <artifactId>lucene-analyzers-phonetic</artifactId>
         <version>6.6.2</version>
+        <scope>compile</scope>
       </dependency>
       <dependency>
         <groupId>org.apache.lucene</groupId>
         <artifactId>lucene-core</artifactId>
         <version>6.6.2</version>
+        <scope>compile</scope>
       </dependency>
       <dependency>
         <groupId>org.apache.lucene</groupId>
         <artifactId>lucene-queryparser</artifactId>
         <version>6.6.2</version>
+        <scope>compile</scope>
       </dependency>
       <dependency>
         <groupId>org.apache.lucene</groupId>
         <artifactId>lucene-test-framework</artifactId>
         <version>6.6.2</version>
+        <scope>compile</scope>
       </dependency>
       <dependency>
         <groupId>org.hamcrest</groupId>
         <artifactId>hamcrest-all</artifactId>
         <version>1.3</version>
+        <scope>compile</scope>
       </dependency>
       <dependency>
         <groupId>org.hamcrest</groupId>
         <artifactId>hamcrest-core</artifactId>
         <version>1.3</version>
+        <scope>compile</scope>
       </dependency>
       <dependency>
         <groupId>org.hamcrest</groupId>
         <artifactId>hamcrest-library</artifactId>
         <version>1.3</version>
+        <scope>compile</scope>
       </dependency>
       <dependency>
         <groupId>org.powermock</groupId>
         <artifactId>powermock-api-mockito2</artifactId>
         <version>2.0.0-beta.5</version>
+        <scope>compile</scope>
       </dependency>
       <dependency>
         <groupId>org.powermock</groupId>
         <artifactId>powermock-core</artifactId>
         <version>2.0.0-beta.5</version>
+        <scope>compile</scope>
       </dependency>
       <dependency>
         <groupId>org.powermock</groupId>
         <artifactId>powermock-module-junit4</artifactId>
         <version>2.0.0-beta.5</version>
+        <scope>compile</scope>
       </dependency>
       <dependency>
         <groupId>org.seleniumhq.selenium</groupId>
         <artifactId>selenium-api</artifactId>
         <version>3.13.0</version>
+        <scope>compile</scope>
       </dependency>
       <dependency>
         <groupId>org.seleniumhq.selenium</groupId>
         <artifactId>selenium-chrome-driver</artifactId>
         <version>3.13.0</version>
+        <scope>compile</scope>
       </dependency>
       <dependency>
         <groupId>org.seleniumhq.selenium</groupId>
         <artifactId>selenium-remote-driver</artifactId>
         <version>3.13.0</version>
+        <scope>compile</scope>
       </dependency>
       <dependency>
         <groupId>org.seleniumhq.selenium</groupId>
         <artifactId>selenium-support</artifactId>
         <version>3.13.0</version>
+        <scope>compile</scope>
       </dependency>
       <dependency>
         <groupId>org.springframework.security</groupId>
         <artifactId>spring-security-config</artifactId>
         <version>4.2.8.RELEASE</version>
+        <scope>compile</scope>
       </dependency>
       <dependency>
         <groupId>org.springframework.security</groupId>
         <artifactId>spring-security-core</artifactId>
         <version>4.2.8.RELEASE</version>
+        <scope>compile</scope>
       </dependency>
       <dependency>
         <groupId>org.springframework.security</groupId>
         <artifactId>spring-security-ldap</artifactId>
         <version>4.2.8.RELEASE</version>
+        <scope>compile</scope>
       </dependency>
       <dependency>
         <groupId>org.springframework.security</groupId>
         <artifactId>spring-security-test</artifactId>
         <version>4.2.8.RELEASE</version>
+        <scope>compile</scope>
       </dependency>
       <dependency>
         <groupId>org.springframework.security</groupId>
         <artifactId>spring-security-web</artifactId>
         <version>4.2.8.RELEASE</version>
+        <scope>compile</scope>
       </dependency>
       <dependency>
         <groupId>org.springframework</groupId>
         <artifactId>spring-aspects</artifactId>
         <version>4.3.20.RELEASE</version>
+        <scope>compile</scope>
       </dependency>
       <dependency>
         <groupId>org.springframework</groupId>
         <artifactId>spring-beans</artifactId>
         <version>4.3.20.RELEASE</version>
+        <scope>compile</scope>
       </dependency>
       <dependency>
         <groupId>org.springframework</groupId>
         <artifactId>spring-context</artifactId>
         <version>4.3.20.RELEASE</version>
+        <scope>compile</scope>
       </dependency>
       <dependency>
         <groupId>org.springframework</groupId>
         <artifactId>spring-core</artifactId>
         <version>4.3.20.RELEASE</version>
+        <scope>compile</scope>
       </dependency>
       <dependency>
         <groupId>org.springframework</groupId>
         <artifactId>spring-expression</artifactId>
         <version>4.3.20.RELEASE</version>
+        <scope>compile</scope>
       </dependency>
       <dependency>
         <groupId>org.springframework</groupId>
         <artifactId>spring-oxm</artifactId>
         <version>4.3.20.RELEASE</version>
+        <scope>compile</scope>
       </dependency>
       <dependency>
         <groupId>org.springframework</groupId>
         <artifactId>spring-test</artifactId>
         <version>4.3.20.RELEASE</version>
+        <scope>compile</scope>
       </dependency>
       <dependency>
         <groupId>org.springframework</groupId>
         <artifactId>spring-tx</artifactId>
         <version>4.3.20.RELEASE</version>
+        <scope>compile</scope>
       </dependency>
       <dependency>
         <groupId>org.springframework</groupId>
         <artifactId>spring-web</artifactId>
         <version>4.3.20.RELEASE</version>
+        <scope>compile</scope>
       </dependency>
       <dependency>
         <groupId>org.springframework</groupId>
         <artifactId>spring-webmvc</artifactId>
         <version>4.3.20.RELEASE</version>
+        <scope>compile</scope>
       </dependency>
       <dependency>
         <groupId>org.apache.geode</groupId>
         <artifactId>geode-common</artifactId>
         <version>1.10.0-SNAPSHOT</version>
+        <scope>compile</scope>
       </dependency>
       <dependency>
         <groupId>org.apache.geode</groupId>
         <artifactId>geode-concurrency-test</artifactId>
         <version>1.10.0-SNAPSHOT</version>
+        <scope>compile</scope>
       </dependency>
       <dependency>
         <groupId>org.apache.geode</groupId>
         <artifactId>geode-connectors</artifactId>
         <version>1.10.0-SNAPSHOT</version>
+        <scope>compile</scope>
       </dependency>
       <dependency>
         <groupId>org.apache.geode</groupId>
         <artifactId>geode-core</artifactId>
         <version>1.10.0-SNAPSHOT</version>
+        <scope>compile</scope>
       </dependency>
       <dependency>
         <groupId>org.apache.geode</groupId>
         <artifactId>geode-cq</artifactId>
         <version>1.10.0-SNAPSHOT</version>
+        <scope>compile</scope>
       </dependency>
       <dependency>
         <groupId>org.apache.geode</groupId>
         <artifactId>geode-dunit</artifactId>
         <version>1.10.0-SNAPSHOT</version>
+        <scope>compile</scope>
       </dependency>
       <dependency>
         <groupId>org.apache.geode</groupId>
         <artifactId>geode-experimental-driver</artifactId>
         <version>1.10.0-SNAPSHOT</version>
+        <scope>compile</scope>
       </dependency>
       <dependency>
         <groupId>org.apache.geode</groupId>
         <artifactId>geode-junit</artifactId>
         <version>1.10.0-SNAPSHOT</version>
+        <scope>compile</scope>
       </dependency>
       <dependency>
         <groupId>org.apache.geode</groupId>
         <artifactId>geode-lucene</artifactId>
         <version>1.10.0-SNAPSHOT</version>
+        <scope>compile</scope>
       </dependency>
       <dependency>
         <groupId>org.apache.geode</groupId>
         <artifactId>geode-management</artifactId>
         <version>1.10.0-SNAPSHOT</version>
+        <scope>compile</scope>
       </dependency>
       <dependency>
         <groupId>org.apache.geode</groupId>
         <artifactId>geode-memcached</artifactId>
         <version>1.10.0-SNAPSHOT</version>
+        <scope>compile</scope>
       </dependency>
       <dependency>
         <groupId>org.apache.geode</groupId>
         <artifactId>geode-old-client-support</artifactId>
         <version>1.10.0-SNAPSHOT</version>
+        <scope>compile</scope>
       </dependency>
       <dependency>
         <groupId>org.apache.geode</groupId>
         <artifactId>geode-protobuf</artifactId>
         <version>1.10.0-SNAPSHOT</version>
+        <scope>compile</scope>
       </dependency>
       <dependency>
         <groupId>org.apache.geode</groupId>
         <artifactId>geode-protobuf-messages</artifactId>
         <version>1.10.0-SNAPSHOT</version>
+        <scope>compile</scope>
       </dependency>
       <dependency>
         <groupId>org.apache.geode</groupId>
         <artifactId>geode-pulse</artifactId>
         <version>1.10.0-SNAPSHOT</version>
+        <scope>compile</scope>
       </dependency>
       <dependency>
         <groupId>org.apache.geode</groupId>
         <artifactId>geode-rebalancer</artifactId>
         <version>1.10.0-SNAPSHOT</version>
+        <scope>compile</scope>
       </dependency>
       <dependency>
         <groupId>org.apache.geode</groupId>
         <artifactId>geode-redis</artifactId>
         <version>1.10.0-SNAPSHOT</version>
+        <scope>compile</scope>
       </dependency>
       <dependency>
         <groupId>org.apache.geode</groupId>
         <artifactId>geode-wan</artifactId>
         <version>1.10.0-SNAPSHOT</version>
+        <scope>compile</scope>
       </dependency>
       <dependency>
         <groupId>org.apache.geode</groupId>
         <artifactId>geode-web</artifactId>
         <version>1.10.0-SNAPSHOT</version>
+        <scope>compile</scope>
       </dependency>
       <dependency>
         <groupId>org.apache.geode</groupId>
         <artifactId>geode-web-api</artifactId>
         <version>1.10.0-SNAPSHOT</version>
+        <scope>compile</scope>
       </dependency>
       <dependency>
         <groupId>org.apache.geode</groupId>
         <artifactId>geode-web-management</artifactId>
         <version>1.10.0-SNAPSHOT</version>
+        <scope>compile</scope>
       </dependency>
       <dependency>
         <groupId>org.apache.geode</groupId>
         <artifactId>geode-lucene-test</artifactId>
         <version>1.10.0-SNAPSHOT</version>
+        <scope>compile</scope>
       </dependency>
       <dependency>
         <groupId>org.apache.geode</groupId>
         <artifactId>geode-protobuf-test</artifactId>
         <version>1.10.0-SNAPSHOT</version>
+        <scope>compile</scope>
       </dependency>
       <dependency>
         <groupId>org.apache.geode</groupId>
         <artifactId>geode-pulse-test</artifactId>
         <version>1.10.0-SNAPSHOT</version>
+        <scope>compile</scope>
       </dependency>
     </dependencies>
   </dependencyManagement>


Mime
View raw message